%define lib_name_orig  libvorbis
%define lib_major      0
%define libname        %mklibname vorbis %{lib_major}
%define libnamedev     %mklibname vorbis -d
%define lib_enc_major  2
%define lib_enc_name   %mklibname vorbisenc %{lib_enc_major}
%define lib_file_major 3
%define lib_file_name  %mklibname vorbisfile %{lib_file_major}
%define oggver         1.1.4

Name:		libvorbis
Summary:	The Vorbis General Audio Compression Codec
Version:	1.3.7
Release:	%mkrel 3
Group:		System/Libraries
License:	BSD
URL:		https://www.xiph.org/
Source:		https://downloads.xiph.org/releases/vorbis/%{name}-%{version}.tar.xz
BuildRequires:	pkgconfig(ogg) >= %{oggver}
BuildRequires:	glibc-static-devel

%description
Ogg Vorbis is a fully open, non-proprietary, patent-and-royalty-free,
general-purpose compressed audio format for audio and music at fixed 
and variable bitrates from 16 to 128 kbps/channel.

Find some free Ogg Vorbis music here: http://www.vorbis.com/music.html

%package -n	%{libname}
Summary:	Main library for %{name}
Group:		System/Libraries
Provides:	oggvorbis = %{version}-%{release}
Provides:	%{name} = %{version}-%{release}

%description -n	%{libname}
This package contains the library needed to run programs dynamically
linked with %{name}.

%package -n	%{libnamedev}
Summary:	Headers for developing programs that will use %{name}
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}
Requires:	%{lib_enc_name} = %{version}-%{release}
Requires:	%{lib_file_name} = %{version}-%{release}
Requires:	libogg-devel >= %{oggver}
Provides:	%{lib_name_orig}-devel = %{version}-%{release}
Provides:	%{name}%{lib_major}-devel = %{version}-%{release}
Provides:	oggvorbis-devel = %{version}-%{release}

%description -n	%{libnamedev}
This package contains the headers that programmers will need to develop
applications which will use %{name}.

%package -n	%{lib_enc_name}
Summary:	Encoder specialized library for %{name}
Group:		System/Libraries

%description -n	%{lib_enc_name}
This package contains the library needed for some programs using the
encoder capability of %{name}.

%package -n	%{lib_file_name}
Summary:	File operations specialized library for %{name}
Group:		System/Libraries
Requires:	%{libname} = %{version}-%{release}

%description -n	%{lib_file_name}
This package contains the library needed for some programs using the
file operations capability of %{name}.

%prep
%autosetup -p1

%build
%configure --disable-static
%make_build

%install
%make_install

mv %{buildroot}%{_datadir}/doc installed-docs

%files -n %{libname}
%doc AUTHORS
%{_libdir}/%{lib_name_orig}.so.%{lib_major}{,.*}

%files -n %{lib_enc_name}
%{_libdir}/%{lib_name_orig}enc.so.%{lib_enc_major}{,.*}

%files -n %{lib_file_name}
%{_libdir}/%{lib_name_orig}file.so.%{lib_file_major}{,.*}

%files -n %{libnamedev}
%doc installed-docs
%{_includedir}/vorbis/
%{_libdir}/*.so
%{_datadir}/aclocal/vorbis.m4
%{_libdir}/pkgconfig/*


%changelog
* Mon Jan 06 2025 daviddavid <daviddavid> 1.3.7-3.mga10
+ Revision: 2135734
- fix build issue

* Tue Mar 15 2022 umeabot <umeabot> 1.3.7-2.mga9
+ Revision: 1794014
- Mageia 9 Mass Rebuild

* Sun Jul 05 2020 kekepower <kekepower> 1.3.7-1.mga8
+ Revision: 1602350
- Update to version 1.3.7

* Thu Feb 13 2020 umeabot <umeabot> 1.3.6-4.mga8
+ Revision: 1514563
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Sep 23 2018 umeabot <umeabot> 1.3.6-3.mga7
+ Revision: 1299218
- Mageia 7 Mass Rebuild

* Tue Jun 19 2018 ns80 <ns80> 1.3.6-2.mga7
+ Revision: 1238085
- add patches for CVE-2017-14160 and CVE-2018-1039[23] (mga#23145)

* Sat Mar 17 2018 luigiwalser <luigiwalser> 1.3.6-1.mga7
+ Revision: 1209992
- 1.3.6
- remove upstream patches

* Fri Mar 16 2018 luigiwalser <luigiwalser> 1.3.5-4.mga7
+ Revision: 1209920
- add patch from mozilla to fix CVE-2018-5146

* Thu Jan 11 2018 ns80 <ns80> 1.3.5-3.mga7
+ Revision: 1192228
- add patches for CVE-2017-1463[23] (mga#22370)

* Tue Feb 09 2016 umeabot <umeabot> 1.3.5-2.mga6
+ Revision: 952429
- Mageia 6 Mass Rebuild

* Tue Mar 03 2015 luigiwalser <luigiwalser> 1.3.5-1.mga5
+ Revision: 817409
- 1.3.5

* Wed Oct 15 2014 umeabot <umeabot> 1.3.4-3.mga5
+ Revision: 741516
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.3.4-2.mga5
+ Revision: 681850
- Mageia 5 Mass Rebuild

* Thu Jan 23 2014 luigiwalser <luigiwalser> 1.3.4-1.mga5
+ Revision: 567533
- 1.3.4
- remove upstreamed automake 1.13 patch

* Fri Oct 18 2013 umeabot <umeabot> 1.3.3-4.mga4
+ Revision: 507427
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 1.3.3-3.mga3
+ Revision: 358418
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jan 05 2013 cjw <cjw> 1.3.3-2.mga3
+ Revision: 339248
- patch1: fix build with automake 1.13
+ fwang <fwang>
- disable static
- new version 1.3.3

* Mon Jan 24 2011 rtp <rtp> 1.3.2-1.mga2
+ Revision: 38063
- Call autoreconf to make sur to have a working libtool on arm (otherwise libm
  link is getting wrongly dropped resulting in ftbfs)
+ dmorgan <dmorgan>
- Remove mdv macros
+ boklm <boklm>
- imported package libvorbis


* Thu Nov 04 2010 Funda Wang <fwang@mandriva.org> 1.3.2-1mdv2011.0
+ Revision: 593055
- update to new version 1.3.2

* Sat Mar 27 2010 Funda Wang <fwang@mandriva.org> 1.3.1-1mdv2010.1
+ Revision: 528056
- new version 1.3.1

* Tue Mar 16 2010 Oden Eriksson <oeriksson@mandriva.com> 1.2.3-2mdv2010.1
+ Revision: 520937
- rebuilt for 2010.1

* Sun Jul 12 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 1.2.3-1mdv2010.0
+ Revision: 395130
- spec file clean
- drop all patches, seems to be useless
- use sed to pass in mdv's optflags
- use macros everywhere
- update to new version 1.2.3

* Tue Apr 07 2009 Funda Wang <fwang@mandriva.org> 1.2.0-5mdv2009.1
+ Revision: 364672
- use automake 1.10
- rediff optflags patch

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild early 2009.0 package (before pixel changes)

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Thu May 15 2008 Götz Waschk <waschk@mandriva.org> 1.2.0-4mdv2009.0
+ Revision: 207510
- fix CVE-2008-1420, CVE-2008-1419, CVE-2008-1423 with patches from Red Hat

* Tue Mar 04 2008 Oden Eriksson <oeriksson@mandriva.com> 1.2.0-3mdv2008.1
+ Revision: 179012
- rebuild

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild
    - kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Thu Aug 09 2007 Götz Waschk <waschk@mandriva.org> 1.2.0-1mdv2008.0
+ Revision: 60739
- new version
- new devel name


* Sun Jan 14 2007 Götz Waschk <waschk@mandriva.org> 1.1.2-1mdv2007.0
+ Revision: 108942
- Import libvorbis

* Sun Jan 14 2007 Götz Waschk <waschk@mandriva.org> 1.1.2-1mdv2007.1
- unpack patches

* Wed Nov 30 2005 Götz Waschk <waschk@mandriva.org> 1.1.2-1mdk
- New release 1.1.2

* Mon Jul 11 2005 Götz Waschk <waschk@mandriva.org> 1.1.1-1mdk
- spec cleanup
- New release 1.1.1

* Tue Nov 09 2004 Götz Waschk <waschk@linux-mandrake.com> 1.1.0-1mdk
- fix ogg dependancy
- disable patch 3, needs a review
- fix source URL
- New release 1.1.0

* Thu Jun 10 2004 Christiaan Welvaart <cjw@daneel.dyndns.rg> 1.0.1-5mdk
- fix buildrequires

